## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class UserDefinedTypeOrderingImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeOrderingImpl

All Implemented Interfaces:
  SQLObject, UserDefinedTypeOrdering

public class UserDefinedTypeOrderingImpl
extends SQLObjectImpl
implements UserDefinedTypeOrdering

An implementation of the model object 'User Defined Type Ordering'.

The following features are implemented:

- `Ordering Form`
- `Ordering Category`
- `Ordering Routine`

See Also:
  Serialized Form

Method Summary
`Routine` `basicGetOrderingRoutine()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`OrderingCategoryType` `getOrderingCategory()`
`OrderingType` `getOrderingForm()`
`Routine` `getOrderingRoutine()`
`void` `setOrderingCategory(OrderingCategoryType newOrderingCategory)`
`void` `setOrderingForm(OrderingType newOrderingForm)`
`void` `setOrderingRoutine(Routine newOrderingRoutine)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eInverseAdd, eInverseRemove, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getOrderingForm

    public OrderingType getOrderingForm()

  Specified by:
    `getOrderingForm` in interface `UserDefinedTypeOrdering`
  Returns:
    the value of the 'Ordering Form' attribute.
  See Also:
    `OrderingType`, `UserDefinedTypeOrdering.setOrderingForm(OrderingType)`, `SQLDataTypesPackage.getUserDefinedTypeOrdering_OrderingForm()`

### setOrderingForm

    public void setOrderingForm(OrderingType newOrderingForm)

  Specified by:
    `setOrderingForm` in interface `UserDefinedTypeOrdering`
  Parameters:
    `newOrderingForm` - the new value of the 'Ordering Form' attribute.
  See Also:
    `OrderingType`, `UserDefinedTypeOrdering.getOrderingForm()`

### getOrderingCategory

    public OrderingCategoryType getOrderingCategory()

  Specified by:
    `getOrderingCategory` in interface `UserDefinedTypeOrdering`
  Returns:
    the value of the 'Ordering Category' attribute.
  See Also:
    `OrderingCategoryType`, `UserDefinedTypeOrdering.setOrderingCategory(OrderingCategoryType)`, `SQLDataTypesPackage.getUserDefinedTypeOrdering_OrderingCategory()`

### setOrderingCategory

    public void setOrderingCategory(OrderingCategoryType newOrderingCategory)

  Specified by:
    `setOrderingCategory` in interface `UserDefinedTypeOrdering`
  Parameters:
    `newOrderingCategory` - the new value of the 'Ordering Category' attribute.
  See Also:
    `OrderingCategoryType`, `UserDefinedTypeOrdering.getOrderingCategory()`

### getOrderingRoutine

    public Routine getOrderingRoutine()

  Specified by:
    `getOrderingRoutine` in interface `UserDefinedTypeOrdering`
  Returns:
    the value of the 'Ordering Routine' reference.
  See Also:
    `UserDefinedTypeOrdering.setOrderingRoutine(Routine)`, `SQLDataTypesPackage.getUserDefinedTypeOrdering_OrderingRoutine()`

### basicGetOrderingRoutine

    public Routine basicGetOrderingRoutine()

### setOrderingRoutine

    public void setOrderingRoutine(Routine newOrderingRoutine)

  Specified by:
    `setOrderingRoutine` in interface `UserDefinedTypeOrdering`
  Parameters:
    `newOrderingRoutine` - the new value of the 'Ordering Routine' reference.
  See Also:
    `UserDefinedTypeOrdering.getOrderingRoutine()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.